# gulp-merge-media-queries

Fixed Nodejs 4.0 error: 'TypeError: must start with number, buffer, array or string'.

Forked from [gulp-combine-media-queries](https://github.com/konitter/gulp-combine-media-queries).

Inspired from [grunt-combine-media-queries](https://github.com/buildingblocks/grunt-combine-media-queries).

> Combine matching media queries into one media query definition. Useful for CSS generated by preprocessors using nested media queries.

This was written as a solution to a problem we have using LESS CSS for our mobile first sites.

**This plugin has NOT been tested thoroughly.**

## Install

```
npm install gulp-merge-media-queries --save-dev
```

## Usage
```javascript
var mmq = require('gulp-merge-media-queries');

gulp.task('mmq', function () {
  gulp.src('src/**/*.css')
    .pipe(mmq({
      log: true
    }))
    .pipe(gulp.dest('dist'));
});
```

## Options

### log

Type: `boolean` Default: `false`

Log processed media queries.

### use_external

Type: `boolean` Default: `false`

Writes media queries into external file, named as [src].responsive.css

## License

(MIT License)

Copyright (c) 2014 [konitter](http://re-dzine.net/)

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
